Skip to main content
PATCH
/
v1
/
articles
/
{uid}
/
publish
Publish an Article
curl --request PATCH \
  --url https://api.siit.io/v1/articles/{uid}/publish \
  --header 'Authorization: Bearer <token>'
{
  "result": {
    "uid": "<string>",
    "archived_at": "2023-11-07T05:31:56Z",
    "author": "<string>",
    "author_uid": "<string>",
    "body": "<string>",
    "category": "<string>",
    "category_uid": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "external_url": "<string>",
    "last_editor": "<string>",
    "last_editor_uid": "<string>",
    "published": true,
    "source": "external",
    "subtitle": "<string>",
    "title": "<string>",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.siit.io/llms.txt

Use this file to discover all available pages before exploring further.

Introduction

Published articles are the only ones that can be recommended by the Siit Bot. Please note that there is a few minutes delay between Publish and availability through the Bot. Trying to publish an already published Article will lead to a 204 response (“No Content”).

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the Article

Response

200 - application/json

Successful

result
object